Subject: Re: killing a branch

From: Jens Axboe <[email-masked]>
Date: Tue, 10 Jan 2006 12:26:09 +0100

On Tue, Jan 10 2006, Junio C Hamano wrote:
> Jens Axboe <[email-masked]> writes:
> 
> >> that having dangling objects in your repository is not a crime,
> >> and you do not have to religiously do "git prune" every time.
> >
> > I know, it just doesn't feel nice!
> 
> Sorry, but I can think of only three reasons (and a half) why
> somebody cannot live with "one git prune at the end of the day
> before leaving" (or "week" for that matter) workflow:
> 
>  * the filesystem quota is too tight and you cannot afford to
>    leave unused loose objects around.  May still be true on
>    student accounts, perhaps, but I doubt this is much of an
>    issue in the modern world anymore.

Yeah obviously not true.

>  * rsync is used to sync from a repository that dropped a branch
>    just now, and you do not want to push the garbage out.  Well,
>    if you are still using rsync, I'll tell about it to Linus ;-)
>    Pushing via git native protocol over ssh would not send
>    unreferenced objects out and will not contaminate the other
>    end with the garbage.

Haven't used rsync in a long time, I use git:// and ssh:// exclusively.

>  * you do not want to leave after starting prune before it
>    finishes.  If it is your hobby to watch the paint dry, I
>    cannot help you, but you could run prune under nohup (or
>    always work inside "screen", which is what I do).
> 
>  + having unused things on the disk just does not _feel_ right.
>    Well, maybe.  I can argue with a reason but not with a
>    feeling.  On a bright side, leaving recently abandoned
>    objects around for a while lets you run git-lost-found to
>    recover if you accidentally deleted a still-useful branch.

:-)

Alright, I'll just have to shake the habit of running git prune to rid
myself of that dirty dirty feeling.

-- 
Jens Axboe